from flask import Flask

# 创建并配置 Flask 应用
def create_app():
    app = Flask(__name__)
    
    # 进行初始配置，加载配置文件等
    # app.config.from_object('config.Config')

    # 导入路由
    from . import routes
    app.register_blueprint(routes.bp)

    return app
